%define version 0.99.4
%define release 0.200000000.vdr.cvs.0mdk.4delta
%define	name    xine-ui
%define	xineversion 1
%define	xinerel	0.rc3.8mdk

Name:		%name
Summary:	A Free Video Player
Version:	%version
Release:	%release
License:	GPL
Group:		Video
Source0:	xine-ui_for_xine-0.7.4-network.tar.gz
URL:		http://xine.sourceforge.net/
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	curl	
BuildRequires:	aalib-devel
BuildRequires:	libcaca-devel
BuildRequires:	curl-devel
BuildRequires:	png-devel
Buildrequires:	libxine-devel >= %xineversion-%xinerel
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
BuildRequires:	libnvtvsimple-devel
#BuildRequires:	automake1.7
BuildRoot:	%_tmppath/%name-%version-%release-buildroot

%description 
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	xine-aa

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video
Requires:	xine-plugins >= %xineversion-%xinerel

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%setup -q -n %name

%build
./autogen.sh noconfig
export XINE_DOCPATH="%_datadir/doc/xine-ui-%version"
%configure2_5x --enable-vdr-keys

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF 
?package(xine-ui):command="%{_bindir}/xine" title="Xine" longtitle="Xine Video Player" needs="X11" section="Multimedia/Video" icon="xine.png" 	mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/ogg,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav,application/x-matroska" accept_url="true" multiple_files="true"
EOF

#install icons
install -m644 misc/desktops/xine_48x48.png -D %{buildroot}%{_liconsdir}/xine.png
install -m644 misc/desktops/xine_32x32.png -D %{buildroot}%{_iconsdir}/xine.png
install -m644 misc/desktops/xine_16x16.png -D %{buildroot}%{_miconsdir}/xine.png

#language files
%find_lang xitk
%find_lang xine-ui
cat xitk.lang >> xine-ui.lang

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xine-ui.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_mandir/man1/*
%lang(de) %_mandir/de/man1/*
%lang(es) %_mandir/es/man1/*
%lang(fr) %_mandir/fr/man1/*
%lang(pl) %_mandir/pl/man1/*
%_menudir/*
%_miconsdir/xine.png
%_liconsdir/xine.png
%_iconsdir/xine.png

%files aa
%defattr(-,root,root)
%doc README
%_bindir/aaxine
%_bindir/cacaxine

%files fb
%defattr(-,root,root)
%doc README
%_bindir/fbxine

%changelog
* Sat May 15 2005 Anssi Hannula <anssi.hannula@mbnet.fi> 0.200000000.vdr.cvs.0mdk.4delta
- cvs

* Sat Apr  9 2005 Anssi Hannula <anssi.hannula@mbnet.fi> 0.100000001.vdr.cvs.0mdk.4delta
- cvs
- enabled vdr

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99.3-2mdk
- rebuild for new readline

* Sun Dec 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.3-1mdk
- New release 0.99.3

* Mon Jul  5 2004 Gåtz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- source URL
- New release 0.99.2

* Thu Jul  1 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-5mdk
- rebuild for new curl

* Tue May  4 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-4mdk
- remove the additional skins (now in an extra package)

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-3mdk
- fix buildrequires

* Sun Apr 18 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-2mdk
- drop patch 1
- add more readme files

* Sun Apr 18 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- add caca frontend to the aa package
- drop patch 0
- add matroska to the menu mime types
- requires new xine-lib
- new version

* Mon Feb  2 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.23-3mdk
- fix buildrequires
- fix build with new curl

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.23-2mdk
- fix buildrequires (add missing ncurses-devel and fix lib64 builrequires)
- cosmetics

* Tue Dec 30 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.23-1mdk
- fix doc file list
- fix installation
- drop patch 1
- new version

* Wed Nov  5 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.22-6mdk
- fix skin download

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.22-5mdk
- lib64 fixes

* Thu Sep  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.22-4mdk
- don't require ORBit
- fix buildrequires

* Wed Aug 27 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.22-3mdk
- remove the useless patch 1
- add application/ogg to the menu entry

* Sat Aug 23 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.22-2mdk
- don't package xine.desktop
- patch1: fix other bug 3483 (skins download URL)
- patch: make README files accessible from the gui
- fix bug number 3483 (replace pitt by Galaxy skin)

* Fri Aug  8 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.22-1mdk
- fix doc section
- fix dep on xine-plugins
- new version

* Sun May 18 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.21-1mdk
- fix buildrequires
- new version

* Fri Apr  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.20-1mdk
- new version
- update the skins (fixes bug 3483)
- requires latest xine-lib version

* Fri Jan 31 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.18-1mdk
- fix descriptions and dependancies
- add fb subpackage for the fbxine frontend
- new version

* Thu Jan 30 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.17-3mdk
- BuildRequires: libxine-devel --> libxine%{xineversion}-devel

* Thu Jan 16 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.17-2mdk
- rebuild against latest ssl

* Sat Jan  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.17-1mdk
- new version

* Sat Dec 21 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.16-1mdk
- build with curl support
- new version

* Thu Nov 28 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.15-2mdk
- remove curl certificates and require curl package instead

* Thu Nov 28 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.15-1mdk
- add curl certificate
- requires latest xine-libs
- fix installation
- autoconf 2.5 macro 
- new version

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-4mdk
- BuildRequires: XFree86-devel

* Tue Oct  8 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.13-3mdk
- fix the polish locale dir
- accept urls and multiple files in menu 
- fix mime type in menu (thx Michael Reinsch <mr@uue.org>)

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.13-2mdk
- Fix Build Requires

* Sun Aug  4 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- 0.9.13

* Mon Jun 24 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- drop the patch
- 0.9.12

* Sat Jun 22 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.11-2mdk
- fix broken german translation causing a segfault on startup
- add more skins

* Fri Jun 21 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.11-1mdk
- add german man pages to the file list
- 0.9.11

* Mon May 27 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- 0.9.10

* Mon Apr 29 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- remove the extra skins, they are now included
- 0.9.9

* Fri Feb 22 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.8-3mdk
- updated CelomaMdk and xinetic theme
- added CelomaGold theme
- updated documentation section

* Thu Feb 21 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.8-2mdk
- added CelomaMdk theme

* Thu Jan 17 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- added xine-check and xine-bugreport
- updated %%doc section 
- 0.9.8

* Tue Dec 18 2001 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- 0.9.7

* Wed Dec  5 2001 Götz Waschk <waschk@linux-mandrake.com> 0.9.6-3mdk
- really remove requirement for libdvdread2

* Wed Dec  5 2001 Götz Waschk <waschk@linux-mandrake.com> 0.9.6-2mdk
- don't require libdvdread2

* Thu Nov 29 2001 Götz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6

* Mon Nov 26 2001 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- install translation files
- install icons
- fix data dir
- fix file listing
- BuildRequires libpng-devel
- new version

* Thu Nov 22 2001 Götz Waschk <waschk@linux-mandrake.com> 0.9.4-3mdk
- add missing files
- rebuild with new skins dir (/usr/share/xine0)
- use macros

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-2mdk
- fix requires in xine-ui-aa ( thx laurent )

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4
